"use server"

import prisma from "@/lib/prisma";
import { gallerySchema } from "@/schemas/galleries/gallerySchema";
import * as z from "zod/v4";

export async function createGallery(values: z.infer<typeof gallerySchema>) {
  return await prisma.gallery.create({
    data: {
      name: values.name,
      slug: values.slug,
      description: values.description,
    }
  })
}