import Link from "next/link";

export default function NotFound() {
  return (
    <div className="flex h-screen flex-col items-center justify-center bg-background px-4 text-center">
      <h1 className="text-4xl font-bold tracking-tight">Page Not Found</h1>
      <p className="mt-2 text-muted-foreground">
        Sorry, we couldn't find the page you were looking for.
      </p>
      <Link
        href="/"
        className="mt-6 rounded-xl bg-primary px-4 py-2 text-white hover:bg-primary/90"
      >
        Go back home
      </Link>
    </div>
  );
}